[Scipy-tickets] [SciPy] #729: SciPy not compatible with python -OO

SciPy scipy-tickets@scipy....
Fri Aug 29 00:30:16 CDT 2008


#729: SciPy not compatible with python -OO
---------------------------+------------------------------------------------
 Reporter:  alan.mcintyre  |       Owner:  somebody
     Type:  defect         |      Status:  new     
 Priority:  normal         |   Milestone:  0.7.0   
Component:  Other          |     Version:          
 Severity:  normal         |    Keywords:          
---------------------------+------------------------------------------------
 Running the test suite for the current svn head SciPy with
 {{{
 python -OO -c "import scipy;scipy.test()"
 }}}
 generates a lot of test errors due to (1) {{{__doc__}}} being None, and
 (2) "invalid shape" TypeErrors generated in
 scipy.sparse.base.py:set_shape.

-- 
Ticket URL: <http://scipy.org/scipy/scipy/ticket/729>
SciPy <http://www.scipy.org/>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list